Pagamentos
Cancelar pagamento pendente
Cancela uma ordem de pagamento que ainda esteja pendente no terminal.
POST
/commands/order/status/cancelarAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/commands/order/status/cancelar" \ -H "Content-Type: application/json" \ -d '{ "payment_identifier": "68ab8366-29db-438e-9a39-8ca72691c0b7" }'{
"payment_identifier": "68ab8366-29db-438e-9a39-8ca72691c0b7",
"payment_status": "CAN_ERP",
"order_type": "NRM"
}{
"status": 400,
"data": {
"message": "status order is not PDT",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/commands/order/status/cancelar"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/commands/order/status/cancelar"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/commands/order/status/cancelar"
}
}